selectList=SELECT RBOARD_NO, RTITLE, RWRITER, RCONTENT, R.PRODUCT_NO, PGRADE, RENROLL_DATE, RMODIFY_DATE, RSTATUS, RCOUNT FROM REVIEW_BOARD R JOIN MEMBER M ON R.RWRITER = M.USER_NO JOIN PRODUCT P ON R.PRODUCT_NO = P.PRODUCT_NO WHERE R.RSTATUS = 'Y' ORDER BY RBOARD_NO DESC

insertThumb=INSERT INTO REVIEW_BOARD VALUES(SEQ_RBOARD_NO.NEXTVAL, ?, ?, ?, ?, 1, SYSDATE, SYSDATE, DEFAULT, DEFAULT)
selectCurrval=SELECT SEQ_RBOARD_NO.CURRVAL FROM DUAL
insertAttachment=INSERT INTO REVIEW_ATTACHMENT VALUES(SEQ_REVIEW_ATTACHMENT_NO.NEXTVAL, ?, ?, ?, SYSDATE, ?, ?)
selectThumbnailMap=SELECT R.RBOARD_NO, R.RTITLE, R.RWRITER, R.RCONTENT, R.PRODUCT_NO, R.PGRADE, R.RENROLL_DATE, R.RMODIFY_DATE, R.RSTATUS, R.RCOUNT, A.REVIEW_ATTACHMENT_NO, A.ORIGIN_NAME, A.CHANGE_NAME, A.SAVE_PATH, A.ENROLL_DATE, A.REVIEW_LEVEL, A.RBOARD_NO FROM REVIEW_BOARD R JOIN REVIEW_ATTACHMENT A ON(R.RBOARD_NO = A.RBOARD_NO) JOIN MEMBER M ON(R.RWRITER = M.USER_NO) WHERE R.RSTATUS = 'Y' AND A.REVIEW_LEVEL = 0 ORDER BY 1 DESC
updateCount=UPDATE REVIEW_BOARD SET RCOUNT=(SELECT RCOUNT FROM REVIEW_BOARD WHERE RBOARD_NO = ?) + 1 WHERE RBOARD_NO = ?
selectThumbnailOne=SELECT R.RBOARD_NO, R.RTITLE, R.RWRITER, R.RCONTENT, R.PRODUCT_NO, R.PGRADE, R.RENROLL_DATE, R.RMODIFY_DATE, R.RSTATUS, R.RCOUNT, A.REVIEW_ATTACHMENT_NO, A.ORIGIN_NAME, A.CHANGE_NAME, A.SAVE_PATH, A.ENROLL_DATE, A.REVIEW_LEVEL, A.RBOARD_NO FROM REVIEW_BOARD R JOIN REVIEW_ATTACHMENT A ON (R.RBOARD_NO = A.RBOARD_NO) JOIN MEMBER M ON(R.RWRITER = M.USER_NO) WHERE R.RSTATUS = 'Y' AND A.RBOARD_NO = ?
selectOneAttachment=SELECT REVIEW_ATTACHMENT_NO, ORIGIN_NAME, CHANGE_NAME, SAVE_PATH, ENROLL_DATE, REVIEW_LEVEL, RBOARD_NO FROM REVIEW_ATTACHMENT WHERE REVIEW_ATTACHMENT_NO = ?
listCountUser=SELECT COUNT(*) FROM (SELECT RBOARD_NO, RTITLE, RWRITER, USER_ID, RCONTENT, PRODUCT_NO, PGRADE, RENROLL_DATE, RMODIFY_DATE, RSTATUS, RCOUNT, RENTAL_NO, PRODUCT_NAME FROM (SELECT ROWNUM RNUM, RBOARD_NO, RTITLE, RWRITER, USER_ID, RCONTENT, PRODUCT_NO, PGRADE, RENROLL_DATE, RMODIFY_DATE, RSTATUS, RCOUNT, RENTAL_NO,  PRODUCT_NAME FROM (SELECT R.RBOARD_NO, R.RTITLE, R.RWRITER, M.USER_ID, R.RCONTENT, R.PRODUCT_NO, R.PGRADE, R.RENROLL_DATE, R.RMODIFY_DATE, R.RSTATUS, R.RCOUNT, R.RENTAL_NO, P.PRODUCT_NAME FROM REVIEW_BOARD R JOIN MEMBER M ON(M.USER_NO = R.RWRITER)  JOIN PRODUCT P ON (R.PRODUCT_NO = P.PRODUCT_NO) WHERE R.RSTATUS = 'Y'  AND M.USER_ID = ? ORDER BY R.RENROLL_DATE DESC)))
listCount=SELECT COUNT(PRODUCT_NO) FROM (SELECT ROWNUM RNUM, RBOARD_NO, RTITLE, RWRITER, RCONTENT, PRODUCT_NO, PGRADE, RENROLL_DATE, RMODIFY_DATE, RSTATUS, RCOUNT, RENTAL_NO FROM (SELECT R.RBOARD_NO, R.RTITLE, R.RWRITER, R.RCONTENT, R.PRODUCT_NO, R.PGRADE, R.RENROLL_DATE, R.RMODIFY_DATE, R.RSTATUS, R.RCOUNT, R.RENTAL_NO FROM REVIEW_BOARD R JOIN PRODUCT P ON (R.PRODUCT_NO = P.PRODUCT_NO) WHERE R.RSTATUS = 'Y' ORDER BY R.PRODUCT_NO DESC))
selectListWithPaging=SELECT RBOARD_NO, RTITLE, RWRITER, USER_ID, RCONTENT, PRODUCT_NO, PGRADE, RENROLL_DATE, RMODIFY_DATE, RSTATUS, RCOUNT, RENTAL_NO, PRODUCT_NAME FROM (SELECT ROWNUM RNUM, RBOARD_NO, RTITLE, RWRITER, USER_ID, RCONTENT, PRODUCT_NO, PGRADE, RENROLL_DATE, RMODIFY_DATE, RSTATUS, RCOUNT, RENTAL_NO,  PRODUCT_NAME FROM (SELECT R.RBOARD_NO, R.RTITLE, R.RWRITER, M.USER_ID, R.RCONTENT, R.PRODUCT_NO, R.PGRADE, R.RENROLL_DATE, R.RMODIFY_DATE, R.RSTATUS, R.RCOUNT, R.RENTAL_NO, P.PRODUCT_NAME FROM REVIEW_BOARD R JOIN MEMBER M ON(M.USER_NO = R.RWRITER)  JOIN PRODUCT P ON (R.PRODUCT_NO = P.PRODUCT_NO) WHERE R.RSTATUS = 'Y' ORDER BY R.RENROLL_DATE DESC)) WHERE RNUM BETWEEN ? AND ?
selectListWithPagingUser=SELECT RBOARD_NO, RTITLE, RWRITER, USER_ID, RCONTENT, PRODUCT_NO, PGRADE, RENROLL_DATE, RMODIFY_DATE, RSTATUS, RCOUNT, RENTAL_NO, PRODUCT_NAME FROM (SELECT ROWNUM RNUM, RBOARD_NO, RTITLE, RWRITER, USER_ID, RCONTENT, PRODUCT_NO, PGRADE, RENROLL_DATE, RMODIFY_DATE, RSTATUS, RCOUNT, RENTAL_NO,  PRODUCT_NAME FROM (SELECT R.RBOARD_NO, R.RTITLE, R.RWRITER, M.USER_ID, R.RCONTENT, R.PRODUCT_NO, R.PGRADE, R.RENROLL_DATE, R.RMODIFY_DATE, R.RSTATUS, R.RCOUNT, R.RENTAL_NO, P.PRODUCT_NAME FROM REVIEW_BOARD R JOIN MEMBER M ON(M.USER_NO = R.RWRITER)  JOIN PRODUCT P ON (R.PRODUCT_NO = P.PRODUCT_NO) WHERE R.RSTATUS = 'Y'  AND M.USER_ID = ? ORDER BY R.RENROLL_DATE DESC)) WHERE RNUM BETWEEN ? AND ?